package cn.com.qmth.stmms.ms.marking.dto;

import java.io.Serializable;
import java.util.Date;

public class LevelDetailDTO implements Serializable{

    private Long workId;
    private String subjectName;
    private String code;
    private Integer minScore;
    private Integer maxScore;
    private Integer levelCount;
    private double levelProp;
    private double examLevelProp;
    private double diffProp;
    private Integer cumulateCount;
    private double cumulateProp;
    private Integer adjustmentCount;

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getMinScore() {
        return minScore;
    }

    public void setMinScore(Integer minScore) {
        this.minScore = minScore;
    }

    public Integer getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Integer maxScore) {
        this.maxScore = maxScore;
    }

    public Integer getLevelCount() {
        return levelCount;
    }

    public void setLevelCount(Integer levelCount) {
        this.levelCount = levelCount;
    }

    public double getLevelProp() {
        return levelProp;
    }

    public void setLevelProp(double levelProp) {
        this.levelProp = levelProp;
    }

    public double getExamLevelProp() {
        return examLevelProp;
    }

    public void setExamLevelProp(double examLevelProp) {
        this.examLevelProp = examLevelProp;
    }

    public double getDiffProp() {
        return diffProp;
    }

    public void setDiffProp(double diffProp) {
        this.diffProp = diffProp;
    }

    public Integer getCumulateCount() {
        return cumulateCount;
    }

    public void setCumulateCount(Integer cumulateCount) {
        this.cumulateCount = cumulateCount;
    }

    public double getCumulateProp() {
        return cumulateProp;
    }

    public void setCumulateProp(double cumulateProp) {
        this.cumulateProp = cumulateProp;
    }

    public Integer getAdjustmentCount() {
        return adjustmentCount;
    }

    public void setAdjustmentCount(Integer adjustmentCount) {
        this.adjustmentCount = adjustmentCount;
    }
}
